Mailinglist Archive: opensuse-factory (156 mails)

< Previous Next >
[opensuse-factory] New Tumbleweed snapshot 20190806 released!
  • From: Dominique Leuenberger <dimstar@xxxxxxx>
  • Date: Wed, 07 Aug 2019 17:03:35 +0000
  • Message-id: <156519741538.22156.16461192682588780041@go-agent-stagingbot-3>

Please note that this mail was generated by a script.
The described changes are computed based on the x86_64 DVD.
The full online repo contains too many changes to be listed here.

Please check the known defects of this snapshot before upgrading:
https://openqa.opensuse.org/tests/overview?distri=opensuse&groupid=1&version=Tumbleweed&build=20190806

Please do not reply to this email to report issues, rather file a bug
on bugzilla.opensuse.org. For more information on filing bugs please
see https://en.opensuse.org/openSUSE:Submitting_bug_reports

Packages changed:
checkmedia (5.2 -> 5.3)
kdelibs4
krita (4.2.4 -> 4.2.5)
mypy (0.711 -> 0.720)
pkgconf
remmina (1.3.4 -> 1.3.5)
rubygem-grape (1.2.3 -> 1.2.4)
rubygem-haml (5.0.4 -> 5.1.1)
rubygem-haml-rails (2.0.0 -> 2.0.1)
rubygem-hashdiff (0.3.9 -> 1.0.0)
rubygem-hoe (3.17.2 -> 3.18.0)
rubygem-js-routes (1.4.6 -> 1.4.7)
rubygem-json-jwt (1.10.0 -> 1.10.2)
rubygem-jwt (2.1.0 -> 2.2.1)
rubygem-mini_magick (4.9.3 -> 4.9.5)
rubygem-mixlib-cli (2.0.3 -> 2.1.1)
rubygem-mixlib-shellout (2.4.4 -> 3.0.4)
rubygem-mocha (1.8.0 -> 1.9.0)
rubygem-multipart-post (2.0.0 -> 2.1.1)
rubygem-omniauth-google-oauth2 (0.6.1 -> 0.7.0)
rubygem-openid_connect (1.1.6 -> 1.1.8)
rubygem-path_expander (1.0.3 -> 1.0.4)
rubygem-puma (3.12.1 -> 4.0.1)
rubygem-puma_worker_killer (0.1.0 -> 0.1.1)
rubygem-rack-oauth2 (1.9.3 -> 1.10.0)
rubygem-responders (2.4.1 -> 3.0.0)
rubygem-rouge (3.3.0 -> 3.6.0)
rubygem-sexp_processor (4.12.0 -> 4.12.1)
rubygem-simplecov (0.16.1 -> 0.17.0)
rubygem-slop (4.6.2 -> 4.7.0)
rubygem-sshkit (1.18.2 -> 1.19.1)
rubygem-tins (1.20.2 -> 1.21.1)
rubygem-tzinfo-data (1.2019.1 -> 1.2019.2)
rubygem-xdg (2.2.3 -> 3.0.1)
rubygem-yard (0.9.19 -> 0.9.20)
telnet

=== Details ===

==== checkmedia ====
Version update (5.2 -> 5.3)
Subpackages: libmediacheck5

- merge gh#openSUSE/checkmedia#13
- mediacheck.md: fix typos
- 5.3

==== kdelibs4 ====
Subpackages: kdelibs4-branding-upstream kdelibs4-core libkde4 libkdecore4
libksuseinstall1

- New _constraints for ppc64/ppc64le avoid "No space left on device"
- Disable LTO for ppc64 (BE) bypass collect2 error (boo#1143249)

==== krita ====
Version update (4.2.4 -> 4.2.5)
Subpackages: krita-lang

- Update to 4.2.5:
* See https://krita.org/en/item/krita-4-2-5-released/
* Fix an assert in the transform tool when working with a tablet
and touch
* Fix continued transformation in the transform tool
* Fix updates in the transform tool
* Show the publication time in the welcome page news ticker
in the user's preferred short date/time format
* Fix using the tangent-normal brush when the canvas is rotated
or mirrored (kde#404408)
* Make it possible again to create new palettes and save them in
the resource folder, instead of the current document
(kde#410137)
* Make Krita not gobble up all available memory when loading
a JPG file with specific metadata (kde#410242)
* Constrain assistant editors to the viewport, so they can always
be manipulated
* Make sure Krita stores changes to brush presets in the current
session by default (kde#410463)
* Remove an assert that could be triggered when opening the first
image in a session
* Update the version of the default input settings profile, so
the rotate/zoom action will be activated even if the user
already had a local kritadefault.profile file
* Fix a crash on using the move tool while the image is being
opened (kde#398968)
* Make sure the painting tools don't block anymore (kde#409968,
kde#408826, kde#409275)
* Make the shortcut handling system more tolerant when shortcuts
overlap (kde#409968)
* Fix a crash in the transform tool
* Make the transform tool and the move tool more responsive

==== mypy ====
Version update (0.711 -> 0.720)

- Update to version 0.720:
- New Semantic Analyzer Used by Default
- New Feature: Warn about Unreachable Code
- Plugin API Changes
- Notable Improvements and Bug Fixes
- Have --package usage respect mypy_path (Aaron Batilo, PR 6926)
- Support flexible option specification in config files. Now all the flags
support invertible forms so that one can specify either strict_optional = False
or no_strict_optional = True. This matches how flags work on the command line
(PR 7054)
- Fix reachability inference with isinstance(Any, Any) (Michael Lee, PR 7048)
- Fix mypyc crash with plugins using get_customize_class_mro_hook() (PR 7075)
- Fix slicing tuples with non-literal expressions (Ethan Smith, PR 7066)
- Fixes to column numbers in error messages (PR 7078, PR 7081)
- Make Need type annotation for variable error more consistent (PR 7079, PR
7113)
- Fix error reporting context for missing generic type arguments (PR 7100)
- Use only directories containing no __init__.py as namespace packages (Arne
Welzel, PR 7108)
- Support method plugin hooks on union types (PR 6560)
- Fix some corner cases in --strict-equality (PR 7156, PR 7164)
- Fix binding of self-types on unions (PR 7152)
- Add more details for Invalid type errors (PR 7166)
- Fix custom __init__() in dataclasses (Ryan Gonzalez, PR 7168)
- Better support for indexing with unions of literal types (Michael Lee, PR
6558)

==== pkgconf ====
Subpackages: libpkgconf3 pkgconf-m4 pkgconf-pkg-config

- Add missing -gnu ABI suffix to platform names in pkgconf-pkg-config
(boo#1144318)

==== remmina ====
Version update (1.3.4 -> 1.3.5)
Subpackages: remmina-lang remmina-plugin-rdp remmina-plugin-secret
remmina-plugin-vnc remmina-plugin-xdmcp

- Removed dependency to NX for remmina-plugin-kwallet.
- Update to new upstream release 1.3.5
* Configurable, human readable profile file names
* A KDE Wallte plugin, that can be used instead of the GNOME Keyring
* Many notable and subtle bugs fixed by Giovanni Panozzo.
* Null pointer reference, RDP issues, remmina connection window fixes and
refactoring and many more!!
* Remmina news (and announcements) widget
* Periodically (sporadically) a widget will be shown with news and
announcements related to your Remmina version.
* Master password, to protect settings and profiles from unauthorized
modifications
* WWW plugin (web browser with authentication for Remmina)
* New color schemes for the SSH plugin.
* Preferences cleaning
* Profile saving bug fixed
* Remmina main UI improvements
* Typographic and wording corrections
- Removed broken telepathy plugin
- New kwallet plugin will be built only on openSUSE and SLE backport
releases.

==== rubygem-grape ====
Version update (1.2.3 -> 1.2.4)

- updated to version 1.2.4
see installed CHANGELOG.md

==== rubygem-haml ====
Version update (5.0.4 -> 5.1.1)

- updated to version 5.1.1
see installed CHANGELOG.md
[#]# 5.1.1
Released on May 25, 2019
([diff](https://github.com/haml/haml/compare/v5.1.0...v5.1.1)).
* Fix NameError bug for that happens on ruby 2.6.1-2.6.3 + haml 5.1.0 + rails
4.2.x + erubi. (Akira Matsuda)
[#]# 5.1.0
Released on May 16, 2019
([diff](https://github.com/haml/haml/compare/v5.0.4...v5.1.0)).
* Rails 6 support [#1008](https://github.com/haml/haml/pull/1008) (thanks
[Seb Jacobs](https://github.com/sebjacobs))
* Add `escape_filter_interpolations` option for backwards compatibility with
haml 4 defaults [#984](https://github.com/haml/haml/pull/984) (thanks [Will
Jordan](https://github.com/wjordan))
* Fix error on empty :javascript and :css filter blocks
[#986](https://github.com/haml/haml/pull/986) (thanks [Will
Jordan](https://github.com/wjordan))
* Respect changes in Haml::Options.defaults in `Haml::TempleEngine` options
(Takashi Kokubun)
* Un-freeze TempleEngine precompiled string literals
[#983](https://github.com/haml/haml/pull/983) (thanks [Will
Jordan](https://github.com/wjordan))
* Various performance/memory improvements
[#965](https://github.com/haml/haml/pull/965),
[#966](https://github.com/haml/haml/pull/966),
[#963](https://github.com/haml/haml/pull/963) (thanks [Dillon
Welch](https://github.com/oniofchaos))
* Enable `frozen_string_literal` magic comment for all .rb files
[#967](https://github.com/haml/haml/pull/967) (thanks [Dillon
Welch](https://github.com/oniofchaos))

==== rubygem-haml-rails ====
Version update (2.0.0 -> 2.0.1)

- updated to version 2.0.1
no changelog found

==== rubygem-hashdiff ====
Version update (0.3.9 -> 1.0.0)

- updated to version 1.0.0
see installed changelog.md
[#]# v1.0.0 2019-06-06
* Fix typo in readme (#72 @koic)
* Fix Rubocop offence (#73 @koic)
* Bumps version to v1.0.0 (#74 @jfelchner)
[#]# v1.0.0.beta1 2019-06-06
* fix warnings in ci (#69 @y-yagi)
* drop warnings of the constant change (#70 @jfelchner)
[#]# v0.4.0 2019-05-28
* refactoring (#56 #57 #59 #61 krzysiek1507)
* fix typo in README (#64 @pboling)
* change HashDiff to Hashdiff (#65 @jfelchner)

==== rubygem-hoe ====
Version update (3.17.2 -> 3.18.0)

- updated to version 3.18.0
see installed History.rdoc
=== 3.18.0 / 2019-05-25
* 1 major enhancement:
* Added Minitest::TestTask (will move to minitest proper soon)
* 8 minor enhancements:
* Added 'multiruby_skip' config so it can be in global ~/.hoerc.
* Added Hoe.include_dirs to allow tasks to probe directly.
* Added X=exclude_pattern to the test plugin. Can be used in conjunction with
N=select_pattern.
* Deprecated Hoe::Test.make_test_cmd (argue with me!)
* Deprecated Hoe::Test.try_loading_rspec (argue with me!)
* Deprecated Hoe::Test.try_loading_rspec2 (argue with me!)
* Deprecated testunit support (argue with me!)
* Switched normally hoe-generated test tasks over to use Minitest::TestTask.
* 1 bug fix:
* Fixed incompatibility with rubygems 3.x. (drbrain)

==== rubygem-js-routes ====
Version update (1.4.6 -> 1.4.7)

- updated to version 1.4.7
see installed CHANGELOG.md
[#]# v1.4.7
* Fix a LocalJumpError on secondary initialization of the app #248

==== rubygem-json-jwt ====
Version update (1.10.0 -> 1.10.2)

- updated to version 1.10.2
no changelog found

==== rubygem-jwt ====
Version update (2.1.0 -> 2.2.1)

- updated to version 2.2.1
see installed CHANGELOG.md

==== rubygem-mini_magick ====
Version update (4.9.3 -> 4.9.5)

- updated to version 4.9.5
no changelog found

==== rubygem-mixlib-cli ====
Version update (2.0.3 -> 2.1.1)

- updated to version 2.1.1
no changelog found

==== rubygem-mixlib-shellout ====
Version update (2.4.4 -> 3.0.4)

- updated to version 3.0.4
no changelog found

==== rubygem-mocha ====
Version update (1.8.0 -> 1.9.0)

- updated to version 1.9.0
no changelog found

==== rubygem-multipart-post ====
Version update (2.0.0 -> 2.1.1)

- updated to version 2.1.1
see installed History.txt
<!--
[#] @markup rdoc
[#] @title CHANGELOG
- ->

==== rubygem-omniauth-google-oauth2 ====
Version update (0.6.1 -> 0.7.0)

- updated to version 0.7.0
see installed CHANGELOG.md
[#]# 0.7.0 - 2019-06-03
[#]## Added
- Ensure `info[:email]` is always verified, and include `unverified_email`
[#]## Deprecated
- Nothing.
[#]## Removed
- Nothing.
[#]## Fixed
- Nothing.

==== rubygem-openid_connect ====
Version update (1.1.6 -> 1.1.8)

- updated to version 1.1.8
no changelog found

==== rubygem-path_expander ====
Version update (1.0.3 -> 1.0.4)

- updated to version 1.0.4
see installed History.rdoc
=== 1.0.4 / 2019-05-26
* 1 bug fix:
* Sorted the output from expand_dirs_to_files. (deivid-rodriguez)

==== rubygem-puma ====
Version update (3.12.1 -> 4.0.1)

- updated to version 4.0.1
see installed History.md

==== rubygem-puma_worker_killer ====
Version update (0.1.0 -> 0.1.1)

- updated to version 0.1.1
see installed CHANGELOG.md
[#]# 0.1.1
- Allow PWK to be used with Puma 4 (#72)

==== rubygem-rack-oauth2 ====
Version update (1.9.3 -> 1.10.0)

- updated to version 1.10.0
no changelog found

==== rubygem-responders ====
Version update (2.4.1 -> 3.0.0)

- updated to version 3.0.0
see installed CHANGELOG.md
[#]# 3.0.0
* Remove support for Rails 4.2
* Remove support for Ruby < 2.4

==== rubygem-rouge ====
Version update (3.3.0 -> 3.6.0)

- updated to version 3.6.0
no changelog found

==== rubygem-sexp_processor ====
Version update (4.12.0 -> 4.12.1)

- updated to version 4.12.1
see installed History.rdoc
=== 4.12.1 / 2019-06-03
* 1 minor enhancement:
* Sexp#line now raises if setting w/ non-integer (eg nil).
* 3 bug fixes:
* Fixed pt_testcase.rb for block args w/ trailing commas.
* Fixed pt_testcase.rb for stabby proc sexps.
* Simple fixes for STRICT_SEXP=1.

==== rubygem-simplecov ====
Version update (0.16.1 -> 0.17.0)

- updated to version 0.17.0
see installed CHANGELOG.md
0.17.0 (2019-07-02)
===================
Maintenance release with nice convenience features and important bugfixes.
Notably this **will be the last release to support ruby versions that have
reached their end of life**. Moving forward official CRuby support will be 2.4+
and JRuby support will be 9.1+. Older versions might still work but no
guarantees.
[#]# Enhancements
* Per default filter hidden files and folders. See
[#721](https://github.com/colszowka/simplecov/pull/721) (thanks [Renuo
AG](https://www.renuo.ch))
* Print the exit status explicitly when it's not a successful build so it's
easier figure out SimpleCov failed the build in the output. See
[#688](https://github.com/colszowka/simplecov/pull/688) (thanks
[@daemonsy](https://github.com/daemonsy))
[#]# Bugfixes
* Avoid a premature failure exit code when setting `minimum_coverage` in
combination with using
[parallel_tests](https://github.com/grosser/parallel_tests). See
[#706](https://github.com/colszowka/simplecov/pull/706) (thanks
[@f1sherman](https://github.com/f1sherman))
* Project roots with special characters no longer cause crashes. See
[#717](https://github.com/colszowka/simplecov/pull/717) (thanks
[@deivid-rodriguez](https://github.com/deivid-rodriguez))
* Avoid continously overriding test results with manual
`ResultMergere.store_results` usage. See
[#674](https://github.com/colszowka/simplecov/pull/674) (thanks
[@tomeon](https://github.com/tomeon))

==== rubygem-slop ====
Version update (4.6.2 -> 4.7.0)

- updated to version 4.7.0
see installed CHANGELOG.md
v4.7.0 (2019-06-29)
- ------------------
Features:
* Add `Slop::Result#fetch`. It returns the value of given option, or raises
an error if given option is not present.
[#232](https://github.com/leejarvis/slop/pull/232) ([Giovanni
Benussi](https://github.com/giovannibenussi))
* Adding a separator without passing any arguments now creates a separator
with the empty string. [#238](https://github.com/leejarvis/slop/pull/238)
([Teemu Matilainen](https://github.com/tmatilai))
Bug fixes
* Ensure non-string option types have their flags consumed properly [#241]
(Sutou Kouhei)

==== rubygem-sshkit ====
Version update (1.18.2 -> 1.19.1)

- updated to version 1.19.1
see installed CHANGELOG.md
[#]# [1.19.1][] (2019-07-02)
* [#465](https://github.com/capistrano/sshkit/pull/456): Fix a regression in
1.19.0 that prevented `~` from being used in Capistrano paths, e.g.
`:deploy_to`, etc. - [@grosser](https://github.com/grosser)
[#]# [1.19.0][] (2019-06-30)
* [#455](https://github.com/capistrano/sshkit/pull/455): Ensure UUID of
commands are stable in logging - [@lazyatom](https://github.com/lazyatom)
* [#453](https://github.com/capistrano/sshkit/pull/453): `as` and `within`
now properly escape their user/group/path arguments, and the command nested
within an `as` block is now properly escaped before passing to `sh -c`. In the
unlikely case that you were manually escaping commands passed to SSHKit as a
workaround, you will no longer need to do this. See
[#458](https://github.com/capistrano/sshkit/issues/458) for examples of what
has been fixed. - [@grosser](https://github.com/grosser)
* [#460](https://github.com/capistrano/sshkit/pull/460): Handle IPv6
addresses without port - [@will-in-wi](https://github.com/will-in-wi)

==== rubygem-tins ====
Version update (1.20.2 -> 1.21.1)

- updated to version 1.21.1
no changelog found

==== rubygem-tzinfo-data ====
Version update (1.2019.1 -> 1.2019.2)

- updated to version 1.2019.2
no changelog found

==== rubygem-xdg ====
Version update (2.2.3 -> 3.0.1)

- updated to version 3.0.1
HISTORY.md removed upstream

==== rubygem-yard ====
Version update (0.9.19 -> 0.9.20)

- updated to version 0.9.20
see installed CHANGELOG.md
[#] 0.9.20 - June 27th, 2019
[0.9.20]: https://github.com/lsegal/yard/compare/v0.9.19...v0.9.20
- Fix parsing of stringified Symbols in Ruby source (#1256).
- Fix path traversal vulnerability in `yard server`. This bug would allow
unsanitized HTTP requests to access arbitrary files on the machine of a
`yard server` host under certain conditions. Thanks to CuongMX from
Viettel Cyber Security for discovering this vulnerability.

==== telnet ====

- removal of SuSEfirewall2 service, since SuSEfirewall2 has been replaced by
firewalld, see [1].
[1]: https://lists.opensuse.org/opensuse-factory/2019-01/msg00490.html


--
To unsubscribe, e-mail: opensuse-factory+unsubscribe@xxxxxxxxxxxx
To contact the owner, e-mail: opensuse-factory+owner@xxxxxxxxxxxx

< Previous Next >
This Thread
  • No further messages